<?php

// Build the admin settings form.
function default_comment_admin_settings_form() {
  $form = array();

  $form['default_comment'] = array(
    '#type' => 'textfield',
    '#title' => t('Default comment text'),
    '#default_value' => variable_get('default_comment', t('Your default comment text.')),
    '#description' => t("Default text inside of comment text area"),
  );
  
  $form['default_comment_optional'] = array(
    '#type' => 'select',
    '#title' => t('Allow empty comments'),
    '#description' => t('Choose yes to make filling of comment field not required.'),
    '#options' => array(t('Yes'), t('No')),
    '#default_value' => variable_get('default_comment_optional', 1),    
  );
  
  return system_settings_form($form);
}
